Bug 1342138 - Bernard Johnson, please respond.
Summary: Bernard Johnson, please respond.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: BackupPC
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Benjamin Lefoul
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-02 13:54 UTC by Benjamin Lefoul
Modified: 2016-07-18 18:49 UTC (History)
3 users (show)

Fixed In Version: BackupPC-3.3.1-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-18 18:49:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Benjamin Lefoul 2016-06-02 13:54:00 UTC
As per https://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers I am requesting package maintainer "Bernard Johnson" (FAS: bjohnson) to fix the current issue in EPEL7, but he seems nonresponsive:


A simple fix is needed for the EPEL7 package to work properly after a reboot:

diff --git a/BackupPC.spec b/BackupPC.spec
index 2ca5237..803e5f7 100644
--- a/BackupPC.spec
+++ b/BackupPC.spec
@@ -5,8 +5,8 @@
 %global _without_selinux 1
 %endif
 
-# tmpfiles.d & systemd support in all supported Fedora now, but not RHEL
-%if 0%{?fedora}
+# tmpfiles.d & systemd support in all supported Fedora now, but not RHEL < 7
+%if 0%{?fedora} || 0%{?rhel} >= 7
 %global _with_tmpfilesd 1
 %global _with_systemd 1
 %endif

Reasons to suspect bjohnson has abandoned his packages:

- His email bounces:

Delivery has failed to these recipients or groups:

bjohnson@symetrix.com (bjohnson@symetrix.com)
Your message wasn't delivered. Despite repeated attempts to deliver your message, the recipient's email system refused to accept a connection from your email system.

Contact the recipient by some other means (by phone, for example) and ask them to tell their email admin that it appears that their email system is refusing connections from your email server. Give them the error details shown below. It's likely that the recipient's email admin is the only one who can fix this problem.

For Email Admins
No connection could be made because the target computer actively refused it. This usually results from trying to connect to a service that is inactive on the remote host - that is, one with no server application running. For more information and tips to fix this issue see this article: http://go.microsoft.com/fwlink/?LinkId=389361








Diagnostic information for administrators:

Generating server: HE1PR06MB1388.eurprd06.prod.outlook.com
Receiving server: HE1PR06MB1388.eurprd06.prod.outlook.com

bjohnson@symetrix.com
6/1/2016 10:51:38 AM - Server at HE1PR06MB1388.eurprd06.prod.outlook.com returned '550 5.4.316 Message expired, connection refused(Socket error code 10061)'
6/1/2016 10:41:23 AM - Server at symetrix.com (69.56.173.112) returned '450 4.4.316 Connection refused(Socket error code 10061)'

Original message headers:

DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=nwisemail.onmicrosoft.com; s=selector1-nwise-se;
 h=From:To:Date:Subject:Message-ID:Content-Type:MIME-Version;
 bh=hegBP7SLenVNinluGtReIIjzI3XkL9v2v+w1Gpa3gEQ=;
 b=B1qnpaJ2OlGSkwyHCxYYmKp1XYKPtafWJSUPiuB/1T1F8EzFXj/J1zKav/nXveCIsG8/T4jWj7snaN+92L2nnJFh6L13fntKif58EZLSRY9rQyi9JUqqocnzT7FSEzpx6zJwyY/y1zRiA+cHHJ57zAdwY0V0b6BNTI/lYeUJ1e0=
Received: from HE1PR06MB1387.eurprd06.prod.outlook.com (10.163.177.13) by
 HE1PR06MB1388.eurprd06.prod.outlook.com (10.163.177.14) with Microsoft SMTP
 Server (TLS) id 15.1.506.2; Mon, 30 May 2016 10:43:55 +0000
Received: from HE1PR06MB1387.eurprd06.prod.outlook.com ([10.163.177.13]) by
 HE1PR06MB1387.eurprd06.prod.outlook.com ([10.163.177.13]) with mapi id
 15.01.0506.011; Mon, 30 May 2016 10:43:55 +0000
From: Benjamin Lefoul <benjamin.lefoul@nwise.se>
To: "bjohnson@symetrix.com" <bjohnson@symetrix.com>
Subject: BackupPC EPEL7
Thread-Topic: BackupPC EPEL7
Thread-Index: AQHRul6VD8Iblm/q2kiepxNhnVZbHA==
Date: Mon, 30 May 2016 10:43:55 +0000
Message-ID: <HE1PR06MB13874312CB9B7391F615FAB89B450@HE1PR06MB1387.eurprd06.prod.outlook.com>
Accept-Language: en-GB, en-US
Content-Language: en-GB
X-MS-Has-Attach:
X-MS-TNEF-Correlator:
authentication-results: symetrix.com; dkim=none (message not signed)
 header.d=none;symetrix.com; dmarc=none action=none header.from=nwise.se;
x-originating-ip: [25.162.33.4]
x-ms-office365-filtering-correlation-id: 7fa37a98-2453-413d-689b-08d388774c92
x-microsoft-exchange-diagnostics: 1;HE1PR06MB1388;5:0HI6jeW1jC976nHnMj0z0tTmhgfpCxCj8jvG6HuMHFs0TlquQYt8+92o3ItXjtztU3rD3Gi/6BAZ7DZCHi3peIQH3sh88HPdPGSndDrE77GYWQfoIx7Z6mPtqGV+8I7z6D05MlBbmKGiChcvEbPzYg==;24:Cg06trhBkkYjKHfSzW0cpuIbMha07VCbOWYw7+iybRq3Koyfmn3KoO9Kh6G5ee7Yz0eDdjJNDCaMa1p8Nlcz2W2H1gbVqGOHw//JvOvZOmY=;7:T4enp6IH6x8VEmBXRoKZRRzU9uiPtauvBjtzJXUzabqE2DIvit5s57CstUam70uFClZ+k6ovDuWSdaMx8TkMLJEiLYIsfouGvrw2xuMD+OX73Ru+n74b2PYmvw8O74wZgeVgPNHI8qJkMZ+hAGCp/KIBL4YBlyZQvrpoOHvOIUOkUFGpCHnTzBMXPCIQzkkg;23:0NmTVAgy8lgDFYKfSnTM4sxxRBLJHpNS2/MaT9O2BWaPs61f7eDGkvXjT1oduSqwMDiyQF0N8HLhcgZ6nqMDHx5dsgx5+QLSqKTvNth8saNXVY3qE2EpLZTmvHrVhFurD/SpQGFIwzuaR+rZ4lvPdxRaRqhfKu8+q/MQwNw8euovfRh/LoHlDKDzVrpQ35dD
x-microsoft-antispam: UriScan:;BCL:0;PCL:0;RULEID:;SRVR:HE1PR06MB1388;
x-microsoft-antispam-prvs: <HE1PR06MB13886E4DD636B17FFA5E9B509B450@HE1PR06MB1388.eurprd06.prod.outlook.com>
x-exchange-antispam-report-test: UriScan:;
x-exchange-antispam-report-cfa-test: BCL:0;PCL:0;RULEID:(6040130)(601004)(2401047)(8121501046)(5005006)(10201501046)(3002001)(6041072)(6043046);SRVR:HE1PR06MB1388;BCL:0;PCL:0;RULEID:;SRVR:HE1PR06MB1388;
x-forefront-prvs: 09583628E0
x-forefront-antispam-report: SFV:NSPM;SFS:(10019020)(6009001)(450100001)(107886002)(110136002)(122556002)(189998001)(5004730100002)(229853001)(74316001)(2906002)(2351001)(86362001)(3280700002)(1730700003)(81166006)(2900100001)(106116001)(54356999)(50986999)(2501003)(586003)(6116002)(102836003)(5002640100001)(3846002)(9686002)(19580395003)(8936002)(74482002)(10400500002)(76576001)(5640700001)(8676002)(11100500001)(66066001)(5003600100002)(1220700001)(5008740100001)(77096005)(3660700001)(33656002)(87936001)(92566002);DIR:OUT;SFP:1102;SCL:1;SRVR:HE1PR06MB1388;H:HE1PR06MB1387.eurprd06.prod.outlook.com;FPR:;SPF:None;MLV:sfv;LANG:en;
spamdiagnosticoutput: 1:23
spamdiagnosticmetadata: NSPM
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-MS-Exchange-CrossTenant-originalarrivaltime: 30 May 2016 10:43:55.0270
 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 9c19ad12-2e73-4b3f-a65e-71f0aef98d2b
X-MS-Exchange-Transport-CrossTenantHeadersStamped: HE1PR06MB1388
X-OriginatorOrg: nwise.se



- No one knows anything on the mailing lists upstream.


- "Symetrix.com" is unmaintained and the company listed in the whois "Symetrix Consulting" is nowhere to be found in the US (where bjohnson says he's located in FAS).
The company behind "symetrixconsulting.com" seems unrelated and located in India. The company behind "symetrix.co" told me they have no employee by that name:


 Chuck Larson Wednesday, 01 June 2016 at 17:58 CEST
Hello Benjamin,

Bernard Johnson does not work for Symetrix.

Kind regards,

Chuck Larson
Symetrix, Inc.
T +1.425.778.7728 x5
F +1.425.778.7727
www.symetrix.co




- fedora_active_user.py output:



./fedora_active_user.py --user bjohnson
FAS password for lef: 
Last login in FAS:
   bjohnson 2015-06-18
Last action on koji:
   Sat, 07 May 2016 package list entry created: viewvc in f24-Beta by pbrobinson [still active]
Last package update on bodhi:
   2015-03-15 05:17:51 on package BackupPC-3.3.1-1.el7
Last actions performed according to fedmsg:
  - ppisar@redhat.com updated 'status', 'cf_fixed_in', 'resolution', 'assigned_to', and 'cf_last_closed' on RHBZ#1230590 'Update perl-forks to 0.36' on 2016-05-25 10:09:35 ()
  - ollie@fubra.com filed a new bug RHBZ#1337984 'BackupPC expects /var/run/BackupPC to ex...' on 2016-05-20 17:35:07 ()
  - aparsons@redhat.com updated RHBZ#625827 'gscan2pdf needs libtiff-tools as a depen...' on 2016-04-18 12:12:52 ()
  - rhbz@genodeftest.de filed a new bug RHBZ#1327676 'upstream is gone, URL is used by spammer...' on 2016-04-15 17:29:11 ()
  - upstream-release-monitoring commented on RHBZ#1220145 'gscan2pdf-1.4.0 is available' on 2016-04-15 02:15:52 ()
  - upstream-release-monitoring commented on RHBZ#1220145 'gscan2pdf-1.4.0 is available' on 2016-04-15 02:15:52 ()
  - upstream-release-monitoring commented on RHBZ#1220145 'gscan2pdf-1.4.0 is available' on 2016-04-15 02:15:52 ()
  - upstream-release-monitoring commented on RHBZ#1220145 'gscan2pdf-1.4.0 is available' on 2016-04-15 02:15:21 ()
  - rossetyler@gmail.com commented on RHBZ#1294761 'smbclient stderr output (e.g. tar:316  t...' on 2016-04-09 23:44:16 ()
  - rossetyler@gmail.com commented on RHBZ#1294761 'smbclient stderr output (e.g. tar:316  t...' on 2016-04-09 22:58:44 ()


./fedora_active_user.py --email bjohnson@symetrix.com
Last email on mailing list:
   No activity found on gmane.linux.redhat.fedora.devel
   No activity found on gmane.linux.redhat.fedora.artwork
   No activity found on gmane.linux.redhat.fedora.desktop
   No activity found on gmane.linux.redhat.fedora.epel.devel
   No activity found on gmane.linux.redhat.fedora.extras.packaging
   No activity found on gmane.linux.redhat.fedora.fonts
   No activity found on gmane.linux.redhat.fedora.general
   No activity found on gmane.linux.redhat.fedora.infrastructure
   No activity found on gmane.linux.redhat.fedora.kde
   No activity found on gmane.linux.redhat.fedora.perl
Bugzilla activity
   34 bugs assigned, cc or on which bjohnson@symetrix.com commented
Last comment on the most recent ticket on bugzilla:
   #1111762 2014-08-22 Bernard Johnson

Comment 1 Benjamin Lefoul 2016-06-08 22:38:52 UTC
ping

Comment 2 Benjamin Lefoul 2016-06-15 08:13:20 UTC
> Step 4: After 2 failed attempts (2 weeks of no response from the maintainer), the reporter posts to the Fedora devel list with a link to the bug report and asks if anyone knows how to contact the maintainer.

Done.

Comment 3 Benjamin Lefoul 2016-06-17 12:12:36 UTC
(In reply to Benjamin Lefoul from comment #2)
> > Step 4: After 2 failed attempts (2 weeks of no response from the maintainer), the reporter posts to the Fedora devel list with a link to the bug report and asks if anyone knows how to contact the maintainer.
> 
> Done.

https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/OWZWSODPSIRIWD4MPT3S52NAP722RA7W/

Comment 4 Benjamin Lefoul 2016-06-22 07:55:06 UTC
> Step 5: After other 7 days (now 3 weeks total), the reporter posts a formal request to the FESCo trac with the bug link, indicating all reasonable efforts to contact the maintainer have failed and that they wish to take over the package. 

Link to FESCo trac ticket: https://fedorahosted.org/fesco/ticket/1589

Comment 5 Kevin Fenzi 2016-06-24 16:55:33 UTC
Hey Benjamin. 

I can get this patch applied and update pushed, however, it's hoped that you might like to take over maintainership? If so, drop me an email and I'd be happy to help you get setup and do the update yourself. 

If you would rather not, I can push the update and orphan the package in hopes someone else will take it. ;(

Comment 6 Benjamin Lefoul 2016-06-28 07:55:22 UTC
Thank you Kevin :)
I have just emailed you.

Comment 7 Fedora Admin XMLRPC Client 2016-06-28 16:31:33 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 8 Fedora Update System 2016-06-30 07:15:22 UTC
BackupPC-3.3.1-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8e3110a7ad

Comment 9 Fedora Update System 2016-06-30 22:18:45 UTC
BackupPC-3.3.1-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8e3110a7ad

Comment 10 Fedora Update System 2016-07-18 18:49:51 UTC
BackupPC-3.3.1-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.